import type { BuilderBlock } from "../../types/builder-block";
import type { SizeName } from "../../constants/device-sizes";
type Column = {
    blocks: BuilderBlock[];
    width?: number;
};
type StackColumnsAt = "tablet" | "mobile" | "never";
export interface ColumnProps {
    columns?: Column[];
    builderBlock: BuilderBlock;
    space?: number;
    stackColumnsAt?: StackColumnsAt;
    reverseColumnsWhenStacked?: boolean;
}
export declare const getWidth: (props: any, state: any, builderContext: any, index: number) => any;
export declare const getColumnCssWidth: (props: any, state: any, builderContext: any, index: number) => string;
export declare const getTabletStyle: (props: any, state: any, builderContext: any, { stackedStyle, desktopStyle, }: {
    stackedStyle: string;
    desktopStyle: string;
}) => string;
export declare const getMobileStyle: (props: any, state: any, builderContext: any, { stackedStyle, desktopStyle, }: {
    stackedStyle: string;
    desktopStyle: string;
}) => string;
export declare const columnsCssVars: (props: any, state: any, builderContext: any) => {
    flexDirection: any;
    "--flex-dir"?: undefined;
    "--flex-dir-tablet"?: undefined;
} | {
    "--flex-dir": any;
    "--flex-dir-tablet": string;
    flexDirection?: undefined;
};
export declare const columnCssVars: (props: any, state: any, builderContext: any, index: number) => {
    width: string;
    marginLeft: string;
    "margin-left"?: undefined;
    "--column-width-mobile"?: undefined;
    "--column-margin-left-mobile"?: undefined;
    "--column-width-tablet"?: undefined;
    "--column-margin-left-tablet"?: undefined;
} | {
    width: string;
    "margin-left": string;
    "--column-width-mobile": string;
    "--column-margin-left-mobile": string;
    "--column-width-tablet": string;
    "--column-margin-left-tablet": string;
    marginLeft?: undefined;
};
export declare const getWidthForBreakpointSize: (props: any, state: any, builderContext: any, size: SizeName) => number;
export declare const columnsStyles: (props: any, state: any, builderContext: any) => string;
export declare const Columns: import("@builder.io/qwik").Component<ColumnProps>;
export default Columns;
export declare const STYLES = "\n.div-Columns {\n  display: flex;\n  line-height: normal;\n}\n.div-Columns-2 {\n  display: flex;\n  flex-direction: column;\n  align-items: stretch;\n}\n";
